Lists
List Lists
Every list in your workspace
GET
/
lists
curl "https://api.clustr-ai.com/api/public/lists" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"success": true,
"data": {
"lists": [
{
"id": "l1a2b3c4-...",
"name": "Q3 target accounts",
"entity_type": "accounts",
"list_kind": "membership",
"company_ids": ["9c4d5e6f-...", "7a1b2c3d-..."],
"created_at": "2026-07-01T10:00:00Z"
}
]
}
}
See Lists for how a list differs from a saved view.
curl "https://api.clustr-ai.com/api/public/lists" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"success": true,
"data": {
"lists": [
{
"id": "l1a2b3c4-...",
"name": "Q3 target accounts",
"entity_type": "accounts",
"list_kind": "membership",
"company_ids": ["9c4d5e6f-...", "7a1b2c3d-..."],
"created_at": "2026-07-01T10:00:00Z"
}
]
}
}
⌘I
curl "https://api.clustr-ai.com/api/public/lists" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"success": true,
"data": {
"lists": [
{
"id": "l1a2b3c4-...",
"name": "Q3 target accounts",
"entity_type": "accounts",
"list_kind": "membership",
"company_ids": ["9c4d5e6f-...", "7a1b2c3d-..."],
"created_at": "2026-07-01T10:00:00Z"
}
]
}
}